Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceVoice

Get Voice Call

GET
/voice/calls/{id}

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

curl -X GET "https://samva.app/api/v1/voice/calls/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "transport": "webrtc",
  "telnyxCallControlId": "string",
  "cfSessionId": "string",
  "direction": "inbound",
  "from": "string",
  "to": "string",
  "phoneNumberId": "8e9ce3fb-4d22-4fe3-baa7-b7892dd942d7",
  "voiceAgentId": "76faa691-e3de-464f-8a1b-6da7c28e3c80",
  "status": "queued",
  "initiatedAt": "2019-08-24T14:15:22Z",
  "answeredAt": "2019-08-24T14:15:22Z",
  "endedAt": "2019-08-24T14:15:22Z",
  "durationSeconds": -9007199254740991,
  "transcriptUrl": "string",
  "recordingUrl": "string",
  "summary": "string",
  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
  "metadata": {
    "cfTrackIds": {
      "audio": "string",
      "video": "string"
    },
    "sttLanguage": "string",
    "ttsVoice": "string",
    "menuMatches": [
      {
        "menuItemId": "string",
        "menuItemLabel": "string",
        "confidence": 0,
        "matchedText": "string"
      }
    ],
    "menuFinalSelection": {
      "menuItemId": "string",
      "menuItemLabel": "string",
      "confidence": 0,
      "matchedText": "string"
    },
    "bargeInCount": -9007199254740991,
    "errorCode": "string",
    "errorMessage": "string",
    "customFields": {
      "property1": null,
      "property2": null
    }
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}